diff --git a/Documentation/devicetree/bindings/regulator/mcp16502-regulator.txt b/Documentation/devicetree/bindings/regulator/mcp16502-regulator.txt
deleted file mode 100644
index 451cc4e86b01..000000000000
--- a/Documentation/devicetree/bindings/regulator/mcp16502-regulator.txt
+++ /dev/null
@@ -1,144 +0,0 @@
-MCP16502 PMIC
-
-Required properties:
-- compatible: "microchip,mcp16502"
-- reg: I2C slave address
-- lpm-gpios: GPIO for LPM pin. Note that this GPIO *must* remain high during
-	     suspend-to-ram, keeping the PMIC into HIBERNATE mode; this
-	     property is optional;
-- regulators: A node that houses a sub-node for each regulator within
-              the device. Each sub-node is identified using the node's
-              name. The content of each sub-node is defined by the
-              standard binding for regulators; see regulator.txt.
-
-Regulators of MCP16502 PMIC:
-1) VDD_IO	- Buck (1.2 - 3.7 V)
-2) VDD_DDR	- Buck (0.6 - 1.85 V)
-3) VDD_CORE	- Buck (0.6 - 1.85 V)
-4) VDD_OTHER	- BUCK (0.6 - 1.85 V)
-5) LDO1		- LDO  (1.2 - 3.7 V)
-6) LDO2		- LDO  (1.2 - 3.7 V)
-
-Regulator modes:
-2 - FPWM: higher precision, higher consumption
-4 - AutoPFM: lower precision, lower consumption
-
-Each regulator is defined using the standard binding for regulators.
-
-Example:
-
-mcp16502@5b {
-	compatible = "microchip,mcp16502";
-	reg = <0x5b>;
-	status = "okay";
-	lpm-gpios = <&pioBU 7 GPIO_ACTIVE_HIGH>;
-
-	regulators {
-		VDD_IO {
-			regulator-name = "VDD_IO";
-			regulator-min-microvolt = <1200000>;
-			regulator-max-microvolt = <3700000>;
-			regulator-initial-mode = <2>;
-			regulator-allowed-modes = <2>, <4>;
-			regulator-always-on;
-
-			regulator-state-standby {
-				regulator-on-in-suspend;
-				regulator-mode = <4>;
-			};
-
-			regulator-state-mem {
-				regulator-off-in-suspend;
-				regulator-mode = <4>;
-			};
-		};
-
-		VDD_DDR {
-			regulator-name = "VDD_DDR";
-			regulator-min-microvolt = <600000>;
-			regulator-max-microvolt = <1850000>;
-			regulator-initial-mode = <2>;
-			regulator-allowed-modes = <2>, <4>;
-			regulator-always-on;
-
-			regulator-state-standby {
-				regulator-on-in-suspend;
-				regulator-mode = <4>;
-			};
-
-			regulator-state-mem {
-				regulator-on-in-suspend;
-				regulator-mode = <4>;
-			};
-		};
-
-		VDD_CORE {
-			regulator-name = "VDD_CORE";
-			regulator-min-microvolt = <600000>;
-			regulator-max-microvolt = <1850000>;
-			regulator-initial-mode = <2>;
-			regulator-allowed-modes = <2>, <4>;
-			regulator-always-on;
-
-			regulator-state-standby {
-				regulator-on-in-suspend;
-				regulator-mode = <4>;
-			};
-
-			regulator-state-mem {
-				regulator-off-in-suspend;
-				regulator-mode = <4>;
-			};
-		};
-
-		VDD_OTHER {
-			regulator-name = "VDD_OTHER";
-			regulator-min-microvolt = <600000>;
-			regulator-max-microvolt = <1850000>;
-			regulator-initial-mode = <2>;
-			regulator-allowed-modes = <2>, <4>;
-			regulator-always-on;
-
-			regulator-state-standby {
-				regulator-on-in-suspend;
-				regulator-mode = <4>;
-			};
-
-			regulator-state-mem {
-				regulator-off-in-suspend;
-				regulator-mode = <4>;
-			};
-		};
-
-		LDO1 {
-			regulator-name = "LDO1";
-			regulator-min-microvolt = <1200000>;
-			regulator-max-microvolt = <3700000>;
-			regulator-always-on;
-
-			regulator-state-standby {
-				regulator-on-in-suspend;
-			};
-
-			regulator-state-mem {
-				regulator-off-in-suspend;
-			};
-		};
-
-		LDO2 {
-			regulator-name = "LDO2";
-			regulator-min-microvolt = <1200000>;
-			regulator-max-microvolt = <3700000>;
-			regulator-always-on;
-
-			regulator-state-standby {
-				regulator-on-in-suspend;
-			};
-
-			regulator-state-mem {
-				regulator-off-in-suspend;
-			};
-		};
-
-	};
-};
diff --git a/Documentation/devicetree/bindings/regulator/microchip,mcp16502.yaml b/Documentation/devicetree/bindings/regulator/microchip,mcp16502.yaml
new file mode 100644
index 000000000000..13a6806b4604
--- /dev/null
+++ b/Documentation/devicetree/bindings/regulator/microchip,mcp16502.yaml
@@ -0,0 +1,182 @@
+# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
+%YAML 1.2
+---
+$id: http://devicetree.org/schemas/regulator/microchip,mcp16502.yaml#
+$schema: http://devicetree.org/meta-schemas/core.yaml#
+
+title: MCP16502 - High-Performance PMIC
+
+maintainers:
+  - Andrei Simion <andrei.simion@microchip.com>
+
+description: The MCP16502 is an optimally integrated PMIC compatible
+  with Microchip's eMPUs(Embedded Microprocessor Units), requiring
+  Dynamic Voltage Scaling (DVS) with the use of High-Performance mode (HPM).
+
+properties:
+  compatible:
+    const: microchip,mcp16502
+
+  lpm-gpios:
+    description: GPIO for LPM pin.
+      Note that this GPIO must remain high during
+      suspend-to-ram, keeping the PMIC into HIBERNATE mode;
+    maxItems: 1
+
+  reg:
+    description: I2C slave address
+    maxItems: 1
+
+  regulators:
+    type: object
+    description: List of regulators and its properties.
+      A node that houses a sub-node for each regulator within
+      the device. Each sub-node is identified using the node's
+      name. The content of each sub-node is defined by the
+      standard binding for regulators;
+
+    patternProperties:
+      "^(VDD_(IO|CORE|DDR|OTHER)|LDO[1-2])$":
+        type: object
+        $ref: regulator.yaml#
+
+        properties:
+          regulator-name:
+            pattern: "^(VDD_(IO|CORE|DDR|OTHER)|LDO[1-2])$"
+
+          regulator-allowed-modes:
+            description: Supported modes
+              2 - FPWM higher precision, higher consumption
+              4 - AutoPFM lower precision, lower consumption
+            items:
+              enum: [2, 4]
+
+        unevaluatedProperties: false
+
+required:
+  - compatible
+  - reg
+  - regulators
+
+additionalProperties: false
+
+examples:
+  - |
+    i2c@600 {
+      reg = <0x600 0x100>;
+      #address-cells = <1>;
+      #size-cells = <0>;
+
+      mcp16502@5b {
+          compatible = "microchip,mcp16502";
+          reg = <0x5b>;
+
+          regulators {
+                  VDD_IO {
+                          regulator-name = "VDD_IO";
+                          regulator-min-microvolt = <3300000>;
+                          regulator-max-microvolt = <3300000>;
+                          regulator-initial-mode = <2>;
+                          regulator-allowed-modes = <2>, <4>;
+                          regulator-always-on;
+
+                          regulator-state-standby {
+                                  regulator-on-in-suspend;
+                                  regulator-mode = <4>;
+                          };
+
+                          regulator-state-mem {
+                                  regulator-off-in-suspend;
+                                  regulator-mode = <4>;
+                          };
+                  };
+
+                  VDD_DDR {
+                          regulator-name = "VDD_DDR";
+                          regulator-min-microvolt = <1350000>;
+                          regulator-max-microvolt = <1350000>;
+                          regulator-initial-mode = <2>;
+                          regulator-allowed-modes = <2>, <4>;
+                          regulator-always-on;
+
+                          regulator-state-standby {
+                                  regulator-on-in-suspend;
+                                  regulator-mode = <4>;
+                          };
+
+                          regulator-state-mem {
+                                  regulator-on-in-suspend;
+                                  regulator-mode = <4>;
+                          };
+                  };
+
+                  VDD_CORE {
+                           regulator-name = "VDD_CORE";
+                           regulator-min-microvolt = <1150000>;
+                           regulator-max-microvolt = <1150000>;
+                           regulator-initial-mode = <2>;
+                           regulator-allowed-modes = <2>, <4>;
+                           regulator-always-on;
+
+                           regulator-state-standby {
+                                    regulator-on-in-suspend;
+                                    regulator-mode = <4>;
+                           };
+
+                           regulator-state-mem {
+                                    regulator-off-in-suspend;
+                                    regulator-mode = <4>;
+                           };
+                  };
+
+                  VDD_OTHER {
+                           regulator-name = "VDD_OTHER";
+                           regulator-min-microvolt = <1050000>;
+                           regulator-max-microvolt = <1250000>;
+                           regulator-initial-mode = <2>;
+                           regulator-allowed-modes = <2>, <4>;
+                           regulator-always-on;
+
+                           regulator-state-standby {
+                                    regulator-on-in-suspend;
+                                    regulator-mode = <4>;
+                           };
+
+                           regulator-state-mem {
+                                    regulator-off-in-suspend;
+                                    regulator-mode = <4>;
+                           };
+                  };
+
+                  LDO1 {
+                           regulator-name = "LDO1";
+                           regulator-min-microvolt = <1800000>;
+                           regulator-max-microvolt = <1800000>;
+                           regulator-always-on;
+
+                           regulator-state-standby {
+                                    regulator-on-in-suspend;
+                           };
+
+                           regulator-state-mem {
+                                    regulator-off-in-suspend;
+                           };
+                 };
+
+                 LDO2 {
+                           regulator-name = "LDO2";
+                           regulator-min-microvolt = <1200000>;
+                           regulator-max-microvolt = <3700000>;
+                           regulator-always-on;
+
+                           regulator-state-standby {
+                                    regulator-on-in-suspend;
+                           };
+
+                           regulator-state-mem {
+                                    regulator-off-in-suspend;
+                           };
+                  };
+             };
+        };
+    };